跳到主要内容

更新 Volume (V2)

Update the description of a volume.

PATCH/v2/volumes/{VOLUME_NAME}
连接端点

该 API 的 Base URL 格式如下:

https://api.cloud.zilliz.com.cn

📘说明

控制面接口速率限制为单用户单接口每秒最多 20 个请求。

export BASE_URL="https://api.cloud.zilliz.com.cn"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
OrgIdstringheaderrequired

Volume所属的组织 ID。

示例值:org-xxxxxxxxxxxxxxxxxxx
VOLUME_NAMEstringpathrequired

待更新的 Volume 名称。

示例值:my_volume
请求体application/json
descriptionstring必填项

Volume 的新描述。值可以为空字符串。

export TOKEN="YOUR_API_KEY"
export VOLUME_NAME="my_volume"

curl --request PATCH \
--url "${BASE_URL}/v2/volumes/${VOLUME_NAME}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"description": "This is the new description of the volume."
}'
响应200 - application/json
codeinteger

响应码。

dataobject

响应载荷,包含 Volume 详情。

volumeNamestring

Volume 名称。

typestring

Volume 的类别。

regionIdstring

Volume 所属区域的 ID。

storageIntegrationIdstring

存储集成 ID。仅对外部 Volume 返回。

pathstring

存储卷内的路径前缀。仅对外部 Volume 返回。

statusstring

Volume 的当前状态。

createTimestring

Volume 的创建时间,ISO 8601 格式。

失败响应。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": {
"volumeName": "my_volume",
"type": "MANAGED",
"regionId": "ali-cn-hangzhou",
"status": "RUNNING",
"createTime": "2026-05-06T03:50:35Z"
}
}
{
"code": 0,
"data": {
"volumeName": "my_external_volume",
"type": "EXTERNAL",
"regionId": "ali-cn-hangzhou",
"storageIntegrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"path": "data/",
"status": "RUNNING",
"createTime": "2026-05-06T03:50:35Z"
}
}